# ケージの清掃を注文 ![](https://docs.equinix.com/ja/assets/images/OrdeCageCleanUp-cf6045398fa2a762e4063cadd13fbfaa.png) ## 前提条件[​](#前提条件 "への直接リンク前提条件") 1. Smart Handsの詳細を取得するには、権限が必要です。`Smart Hands` 2. 認証-ユーザー認証情報、クライアントID、クライアントシークレットを送信してOauth2認証を行います。認証情報を検証および認証するためにOAuth APIを呼び出す方法については、「[API認証」を](https://docs.equinix.com/ja/equinix-api/api-authentication.md)参照してください。 3. Get Smart Hands Types -エンドポイントにリクエストを[`/v1/orders/smarthands/types`](https://docs.equinix.com/ja/api-catalog/smarthandsv1/smarthands/smarthandtypes.md)送信して、`GET`すべてのSmart Handsオーダータイプを取得します。Smart Handsのオーダータイプがすでにわかっている場合は、この手順をスキップできます。 4. ロケーション情報の取得-エンドポイントにリクエストを[`/v1/orders/smarthands/locations`](https://docs.equinix.com/ja/api-catalog/smarthandsv1/smarthands/getlocation.md)送信して、`GET`アクセス可能なIBXロケーションを取得します。ロケーション情報がすでにわかっている場合は、この手順をスキップしても構いません。 ## ケージ清掃のご注文 - 最小限の例[​](#ケージ清掃のご注文---最小限の例 "への直接リンクケージ清掃のご注文 - 最小限の例") 特定のケージのゴミ箱撤去またはケージ清掃をオーダーするには、エンドポイントにリクエストを[`/smarthands/cageCleanup`](https://docs.equinix.com/ja/api-catalog/smarthandsv1/smarthands/handlesmarthandcagecleanuporder.md)送信します。`POST`リクエストの本文で、場所、スケジュール、連絡先、サービスの詳細を指定します。 サンプルcURLリクエスト: ``` curl -X POST "https://api.equinix.com/v1/orders/smarthands/cageCleanup" -H "content-type: application/json" -H "authorization: Bearer " -d '{     "ibxLocation": {     "ibx": "AM1",     "cages": [       {         "cage": "AM1:0J:00JD11",         "accountNumber": "126854"       }     ]   },   "serviceDetails": {     "permissionToDiscardBoxes": true,     "dampMoistMopRequired": true,     "scopeOfWork": "Light dusting of equipment, microfiber mop to be used."   },   "schedule": {     "scheduleType": "SCHEDULED_MAINTENANCE",     "requestedStartDate": "2019-08-30T22:00:49.776Z",     "requestedCompletionDate": "2019-08-31T22:00:49.776Z"   },   "contacts": [     {         "contactType": "ORDERING",         "userName": "johndoe"     },     {         "contactType": "TECHNICAL",         "userName": "johndoe",         "workPhonePrefToCall": "ANYTIME"     },     {         "contactType": "NOTIFICATION",         "userName": "johndoe"     }   ] }' ``` 本文のパラメータと説明の完全なリストについては、[APIリファレンスを](https://docs.equinix.com/ja/api-catalog/smarthandsv1/smarthands/handlesmarthandcagecleanuporder.md)参照してください。 回答例 ``` {     "OrderNumber": "1-190368976438" } ``` 応答は注文が成功したことを示し、注文番号を返します。 ## ケージ清掃のご注文 - 拡張例[​](#ケージ清掃のご注文---拡張例 "への直接リンクケージ清掃のご注文 - 拡張例") 特定のケージのゴミ箱撤去またはケージ清掃をオーダーするには、エンドポイントにリクエストを[`/smarthands/cageCleanup`](https://docs.equinix.com/ja/api-catalog/smarthandsv1/smarthands/handlesmarthandcagecleanuporder.md)送信します。`POST`リクエストの本文で、場所、スケジュール、連絡先、サービスの詳細を指定します。オブジェクトを使用して、`attachments`技術者の追加詳細を含めることができます。 > **メモ** > > アタッチメント付きのオーダーを作成する前に、エンドポイントに電話してください。[`Attachments File`](https://docs.equinix.com/ja/api-catalog/attachmentsv1/attachments/createattachment.md) ``` curl -X POST "https://api.equinix.com/v1/orders/smarthands/cageCleanup" -H "content-type: application/json" -H "authorization: Bearer " -d '{    "ibxLocation": {     "ibx": "AM1",     "cages": [       {         "cage": "AM1:0J:00JD11",         "cabinets": [           "AM1:0J:00JD11:0001"         ],         "accountNumber": "126854"       }     ]   },   "serviceDetails": {     "permissionToDiscardBoxes": true,     "dampMoistMopRequired": true,     "scopeOfWork": "Light dusting of equipment, microfiber mop to be used.",     "needSupportFromASubmarineCableStationEngineer": true   },   "attachments": [     {       "id": "fcb2k8763-2947-456e-8d68-f280753d60ba",       "name": "PhotoForCageCleanupServiceDetails.docx"     }   ],   "schedule": {     "scheduleType": "SCHEDULED_MAINTENANCE",     "requestedStartDate": "2019-08-30T22:00:49.776Z",     "requestedCompletionDate": "2019-08-31T22:00:49.776Z"   },   "customerReferenceNumber": "EQX-PO2019-08-001",   "purchaseOrder": {     "purchaseOrderType": "EXEMPTED",     "attachment": {       "id": "abc1fd2e-345f-67g4-hi89-01jk234l5m6n",       "name": "PurchaseOrderExemptionForm123.docx"     }   },   "contacts": [     {       "contactType": "ORDERING",       "userName": "johndoe"     },     {       "contactType": "TECHNICAL",       "name": "Jane Smith",       "email": "janesmith@corporation.com",       "workPhoneCountryCode": "+44",       "workPhone": "0148211111",       "workPhonePrefToCall": "MY_BUSINESS_HOURS",       "workPhoneTimeZone": "Europe/London",       "mobilePhoneCountryCode": "+44",       "mobilePhone": "0123456789",       "mobilePhonePrefToCall": "MY_BUSINESS_HOURS",       "mobilePhoneTimeZone": "Europe/London"     },     {       "contactType": "NOTIFICATION",       "userName": "johndoe"     },     {       "contactType": "NOTIFICATION",       "userName": "janesmith"     }   ] }' ``` 本文のパラメータと説明の完全なリストについては、[APIリファレンスを](https://docs.equinix.com/ja/api-catalog/smarthandsv1/smarthands/handlesmarthandcagecleanuporder.md)参照してください。